Subject: [tcpm] Fwd: [iccrg] Review of draft-khademi-alternativebackoff-ecn-01.txt

From: Michael Welzl <[email-masked]>
Date: Tue, 22 Sep 2015 13:48:21 +0200

TCPM,

FYI, because TCPM is the eventual target and the draft has now been updated to incorporate the comments that we received.

Please discuss this draft on the ICCRG list.

Cheers,
Michael

> Begin forwarded message:
> 
> From: Michael Welzl <[email-masked]>
> Subject: [iccrg] Review of draft-khademi-alternativebackoff-ecn-01.txt
> Date: 22 Sep 2015 13:34:50 CEST
> To: [email-masked]
> Resent-From: <[email-masked]>
> 
> <chair hat on - just sayin', because I'm also a co-author>
> 
> 
> Dear all,
> 
> The proposal "TCP Alternative Backoff with ECN" (ABE) was presented to TCPM at the last IETF. Some comments were given there, and on the TCPM mailing list before the meeting ( see: https://mailarchive.ietf.org/arch/search/?email_list=tcpm&qdr=y&q=TCP+Alternative+Backoff+with+ECN  ).
> The meeting concluded with this statement by a chair:
> 
> ***
> Michael S: seems like a perfect topic for ICCRG. Can be discussed
> there, clarify Mark Allman's proposal of binding beta to a loss
> multiplication factor, see if it is applicable to more congestion
> controls than just Reno. Coming up with a beta factor is in ICCRG's
> scope.
> ***
> 
> => now we're doing this evaluation on behalf of TCPM. As you can see below, the draft has just been updated. As usual for such evaluations, I also created a Wiki page for it:
> http://wiki.tools.ietf.org/group/irtf/trac/wiki/ICCRG_abe
> 
> where you can, for now, find the draft, slides & minutes from Prague, and the technical report:
> http://caia.swin.edu.au/reports/150710A/CAIA-TR-150710A.pdf
> 
> This is a short draft, so please consider reading it and offer your comments on the ICCRG mailing list. Thanks!!
> 
> Cheers,
> Michael
> 
> 
> 
>> Begin forwarded message:
>> 
>> From: <[email-masked]>
>> Subject: New Version Notification for draft-khademi-alternativebackoff-ecn-01.txt
>> Date: 22 Sep 2015 13:08:45 CEST
>> To: Michael Welzl <[email-masked]>, Grenville Armitage <[email-masked]>, Michael Welzl <[email-masked]>, Gorry Fairhurst <[email-masked]>, Naeem Khademi <[email-masked]>, Godred Fairhurst <[email-masked]>, Grenville Armitage <[email-masked]>, "Naeem Khademi" <[email-masked]>
>> Resent-From: <[email-masked]>
>> 
>> 
>> A new version of I-D, draft-khademi-alternativebackoff-ecn-01.txt
>> has been successfully submitted by Michael Welzl and posted to the
>> IETF repository.
>> 
>> Name:		draft-khademi-alternativebackoff-ecn
>> Revision:	01
>> Title:		TCP Alternative Backoff with ECN (ABE)
>> Document date:	2015-09-21
>> Group:		Individual Submission
>> Pages:		10
>> URL:            https://www.ietf.org/internet-drafts/draft-khademi-alternativebackoff-ecn-01.txt
>> Status:         https://datatracker.ietf.org/doc/draft-khademi-alternativebackoff-ecn/
>> Htmlized:       https://tools.ietf.org/html/draft-khademi-alternativebackoff-ecn-01
>> Diff:           https://www.ietf.org/rfcdiff?url2=draft-khademi-alternativebackoff-ecn-01
>> 
>> Abstract:
>>  This memo provides an experimental update to RFC3168.  It updates the
>>  TCP sender-side reaction to a congestion notification received via
>>  Explicit Congestion Notification (ECN).  ECN-marking can allow a
>>  network device to signal congestion at a point before a transport
>>  experiences congestion loss or additional queueing delay.  The
>>  updated method is less conservative than the TCP reaction in response
>>  to loss.  The intention is to achieve good throughput when the queue
>>  at the bottleneck is smaller than the bandwidth-delay-product of the
>>  connection.  This is more likely when an Active Queue Management
>>  (AQM) mechanism has used ECN to CE-mark a packet, than when a packet
>>  was lost.  Future versions of this document will discuss SCTP as well
>>  as other transports using ECN.
>> 
>> 
>> 
>> 
>> Please note that it may take a couple of minutes from the time of submission
>> until the htmlized version and diff are available at tools.ietf.org.
>> 
>> The IETF Secretariat
>> 
> 
> _______________________________________________
> iccrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/iccrg